Bug 412941 - during install, or first sw update get msg from selinux that it is refusing access to rpc.statd
during install, or first sw update get msg from selinux that it is refusing a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 16:17 EST by Greg Morse
Modified: 2007-12-06 09:53 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 09:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Morse 2007-12-05 16:17:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc7 Firefox/2.0.0.10

Description of problem:
SummarySELinux is preventing /sbin/rpc.statd (rpcd_t) "search" to (sysctl_fs_t).Detailed DescriptionSELinux denied access requested by /sbin/rpc.statd. It is not expected that this access is required by /sbin/rpc.statd and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access.Allowing AccessSometimes labeling problems can cause SELinux denials. You could try to restore the default system file 
context for , restorecon -v If this does not work, there is currently no automatic way to allow this access. Instead, you can generate a local policy module to allow this access - see FAQ Or you can disable SELinux protection altogether. Disabling SELinux protection is not recommended. Please file a bug report against this package.Additional InformationSource Context:  system_u:system_r:rpcd_tTarget Context:  system_u:object_r:sysctl_fs_tTarget Objects:  None [ dir ]Affected RPM Packages:  nfs-utils-1.0.12-4.fc7 [application]Policy RPM:  selinux-policy-2.6.4-8.fc7Selinux Enabled:  TruePolicy Type:  Additional InformationSource Context:  system_u:system_r:rpcd_tTarget Context:  system_u:object_r:sysctl_fs_tTarget Objects:  None [ dir ]Affected RPM Packages:  nfs-utils-1.0.12-4.fc7 [application]Policy RPM:  selinux-policy-2.6.4-8.fc7Selinux Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing Mode:  PermissivePlugin Name:  plugins.catchall_fileHost Name:  renegadePlatform:  Linux renegade 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:35:01 EDT 2007 i686 i686Alert Count:  2First Seen:  Wed 05 Dec 2007 12:43:27 PM PSTLast Seen:  Wed 05 Dec 2007 12:43:28 PM PSTLocal ID:  d9a70d16-7d46-40fe-ab4d-694d68d6ed24Line Numbers:  Raw Audit Messages :avc: denied { search } for comm="rpc.statd" egid=0 euid=0 exe="/sbin/rpc.statd" exit=-2 fsgid=0 fsuid=0 gid=0 items=0 pid=5545 scontext=system_u:system_r:rpcd_t:s0 sgid=0 subj=system_u:system_r:rpcd_t:s0 suid=0 tclass=dir tcontext=system_u:object_r:sysctl_fs_t:s0 tty=(none) uid=0 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Daniel Walsh 2007-12-06 09:53:49 EST
Please update to the latest policy

yum -y upgrade selinux-policy

Note You need to log in before you can comment on or make changes to this bug.